Subject: [edu-team] Welcome, Fred!

From: <[email-masked]>
Date: Wed, 25 May 2016 14:50:24 +0000 (UTC)

FYI,  I have been bringing Fred up to speed on all the mentoring activities.
Love his energy and passion for bringing new blood into the IETF. Thanks,
Nalini ElkinsInside Products, Inc.www.insidethestack.com(831) 659-8360